# $Revision: 1.24 $, $Date: 2006/05/25 20:26:34 $
%define _name ROX-Session
Summary:	ROX-Session - a really simple session manager
Summary(pl):	ROX-Session - naprawd prosty zarzdca sesji
Name:		rox-Session
Version:	0.28
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://heanet.dl.sourceforge.net/rox/rox-session-%{version}.tar.bz2
# Source0-md5:	d984f83c01f545d0d3d233de3cdf3ea2
URL:		http://rox.sourceforge.net/desktop/ROX-Session
Requires:	dbus >= 0.33
Requires:	python-dbus >= 0.33
Requires:	rox >= 2.3
Requires:	rox-Lib2 >= 1.9.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_roxdir	%{_libdir}/rox

%description
ROX-Session is a simple and easy to use session manager. It is part of
the ROX project, but can also be used on its own. It sets up your
desktop when you log in, and starts any applications you ask it to.
ROX-Session allows you to set various settings, such as the default
font, cursor blinking and mouse behaviour. It also allows you to
choose a window manager, and change between window managers without
logging out.

%description -l pl
ROX-Session jest prostym w obsudze zarzdc sesji. Jest to cz
projektu ROX, ale moe by uywany osobno. Gdy logujesz si ustawia on
twoje biurko i uruchamia programy, o ktre zostanie poproszony.
ROX-Session pozwala skonfigurowa rne ustawienia, takie jak domylna
czcionka, miganie kursora, czy zachowanie myszy. Pozwala on take na
wybranie zarzdcy okien i na zmian programu zarzdzajcego oknami bez
wylogowywania si.

%prep
%setup -q -n rox-session-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_roxdir}/%{_name}/{Messages,images}

cd %{_name}
install images/*.png $RPM_BUILD_ROOT%{_roxdir}/%{_name}/images
install Messages/*.gmo $RPM_BUILD_ROOT%{_roxdir}/%{_name}/Messages
install .DirIcon AppRun RunROX Login SetupPanel Styles browser $RPM_BUILD_ROOT%{_roxdir}/%{_name}
install *.py *.xml $RPM_BUILD_ROOT%{_roxdir}/%{_name}

%py_comp $RPM_BUILD_ROOT%{_roxdir}/%{_name}
%py_ocomp $RPM_BUILD_ROOT%{_roxdir}/%{_name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_name}/Help/{Changes,DBUS-API,README}
%dir %{_roxdir}/%{_name}
%attr(755,root,root) %{_roxdir}/%{_name}/AppRun
%attr(755,root,root) %{_roxdir}/%{_name}/Login
%attr(755,root,root) %{_roxdir}/%{_name}/RunROX
%attr(755,root,root) %{_roxdir}/%{_name}/SetupPanel
%attr(755,root,root) %{_roxdir}/%{_name}/browser
%{_roxdir}/%{_name}/.DirIcon
%{_roxdir}/%{_name}/Styles
%{_roxdir}/%{_name}/*.py[co]
%{_roxdir}/%{_name}/*.xml
%{_roxdir}/%{_name}/images
%dir %{_roxdir}/%{_name}/Messages
%lang(da) %{_roxdir}/%{_name}/Messages/da.gmo
%lang(de) %{_roxdir}/%{_name}/Messages/de.gmo
%lang(es) %{_roxdir}/%{_name}/Messages/es.gmo
%lang(fr) %{_roxdir}/%{_name}/Messages/fr.gmo
%lang(it) %{_roxdir}/%{_name}/Messages/it.gmo
%lang(ja) %{_roxdir}/%{_name}/Messages/ja.gmo
%lang(lt) %{_roxdir}/%{_name}/Messages/lt.gmo
%lang(nl) %{_roxdir}/%{_name}/Messages/nl.gmo
%lang(pt_BR) %{_roxdir}/%{_name}/Messages/pt_BR.gmo
%lang(ru) %{_roxdir}/%{_name}/Messages/ru.gmo
%lang(zh_CN) %{_roxdir}/%{_name}/Messages/zh_CN.gmo
%lang(zh_TW) %{_roxdir}/%{_name}/Messages/zh_TW.gmo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rox-Session.spec,v $
Revision 1.24  2006/05/25 20:26:34  hawk
- updated to 0.28

Revision 1.23  2006/03/11 10:39:03  megabajt
- removed platform definition

Revision 1.22  2006/03/08 22:31:02  qboosh
- cleanup

Revision 1.21  2006/03/08 21:20:00  megabajt
- updated to 0.27
- new URL

Revision 1.20  2005/09/04 16:42:49  arekm
- up to 0.26; works with new dbus

Revision 1.19  2005/09/04 16:17:24  arekm
- rel 3; new dbus

Revision 1.18  2005/04/30 05:49:57  megabajt
- update URL

Revision 1.17  2005/04/29 13:16:12  megabajt
- moved dir %%{_appsdir} to rox.spec
- R: rox >= 2.2.0-2

Revision 1.16  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.15  2005/03/21 21:25:26  qboosh
- missing dir

Revision 1.14  2005/03/20 15:24:42  megabajt
- fixed install

Revision 1.13  2005/03/20 13:59:06  megabajt
- proper license
- R: python-dbus, rox-Lib2
- fixed %%install
- more doc
- release 2

Revision 1.12  2004/12/17 23:50:47  zbyniu
- BR: libxml-devel -> libxml2-devel; pkgconfig

Revision 1.11  2004/10/31 20:14:56  paladine
- spaces->tabs
- formatting

Revision 1.10  2004/10/24 14:33:55  darekr
- updated to 0.1.25
- fixed %install

Revision 1.9  2004/08/30 23:45:04  darekr
- update to 0.1.24
- add BR dbus-glib-devel

Revision 1.8  2003/10/26 14:05:45  adamg
- updated to 0.1.21

Revision 1.7  2003/05/28 13:01:41  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.4  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.3  2002/11/25 01:41:56  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.2  2002/08/20 14:50:19  grzegol
- moved ROX-apps to %%{_libdir}
- rel.2
STBR

Revision 1.1  2002/07/08 20:21:27  grzegol
- initial release
